Class | Net::IMAP::LoginAuthenticator
In: | net/imap.rb
Parent: | Object

Authenticator for the "LOGIN" authentication type. See authenticate().

### Methods

new process

### Constants

STATE_USER | = | :USER
STATE_PASSWORD | = | :PASSWORD

### Public Class methods

new(user, password)

[Source]

    # File net/imap.rb, line 3126
          def initialize(user, password)
            @user = user
            @password = password
            @state = STATE_USER
          end

### Public Instance methods

process(data)

[Source]

    # File net/imap.rb, line 3111
          def process(data)
            case @state
            when STATE_USER
              @state = STATE_PASSWORD
              return @user
            when STATE_PASSWORD
              return @password
            end
          end

[Validate]